#
# spec file for package python-python-redmine
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-python-redmine
Version:        2.2.1
Release:        lp152.2.1
Summary:        Python library for the Redmine RESTful API
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://python-redmine.com
Source:         https://files.pythonhosted.org/packages/source/p/python-redmine/python-redmine-%{version}.tar.gz
Patch0:         python-python-redmine-use-system-requests.patch
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module requests >= 2.20.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests >= 2.20.0
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python-mock
%endif
%python_subpackages

%description
Python Redmine is a library for communicating with a Redmine
project management application. Redmine exposes some of it's data
via REST API for which Python Redmine provides a simple but
powerful Pythonic API inspired by a well-known Django ORM.

%prep
%setup -q -n python-redmine-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc CHANGELOG.rst README.rst
%{python_sitelib}/*

%changelog
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix the runtime dependencies
- Fix build without python2
* Thu Feb 28 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 2.2.1
  Bugfixes:
  * ProjectMembership resource ``group`` attribute was returned as
    a dict instead of being converted to Resource object
- Update to version 2.2.0
  Improvements:
  * ``PerformanceWarning`` will be issued when Python-Redmine does
    some unnecessary work under the hood to fix the clients code
    problems
  Changes:
  * *Backwards Incompatible:* Removed vendored Requests package
    and make it an external dependency as Requests did the same with
    it's own dependencies
  * *Backwards Incompatible:* Removed Python 2.6 and 3.3 support as
    they're not supported by Requests anymore
  Bugfixes:
  * ``Redmine.upload()`` fails under certain circumstances when used
    with a file-like object and it contains unicode instead of bytes
  * - ``Redmine.session()`` doesn't restore previous engine if fails
- Update patch:
  * python-python-redmine-use-system-requests.patch
* Wed Apr 11 2018 mardnh@gmx.de
- Use %%license for license install
* Wed Apr 11 2018 mardnh@gmx.de
- Initial package, version 2.0.2
- Add patch:
  * python-python-redmine-use-system-requests.patch
